%define with_doc 1

Summary:	Yet oneOther Document Language
Name:		yodl
Version:	3.00.0
Release:	%mkrel 8
License:	GPLv3
Group:		Publishing
URL:		http://yodl.sourceforge.net/
Source:		http://sourceforge.net/projects/yodl/files/yodl/3.00.0/yodl_3.00.0.orig.tar.gz
# patch to compile with our %%optflags
Patch0:		yodl-compile-flags.patch
BuildRequires:	icmake
%if %with_doc
BuildRequires:	texlive
BuildRequires:	texlive-texmf
%endif

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to some
final document language. Current converters are for HTML, ms, man, LaTeX
SGML and texinfo, plus a poor-man's text converter. Main document types are
"article", "report", "book" and "manpage". The Yodl document language is
designed to be easy to use and extensible.

%if %with_doc
%package doc
Summary: %{name} documentation package
Group: Documentation

%description doc
This package contains the yold documentation files.
%endif

%prep
%setup -q
%patch0 -p1

%build
./build programs
./build man

%if %with_doc
./build manual
%endif

./build macros

%install
./build install programs %{buildroot}
./build install man      %{buildroot}
%if %with_doc
./build install manual   %{buildroot}
%endif
./build install macros   %{buildroot}

%if %with_doc

# fix encoding
pushd tmp/install/usr/share/doc/yodl-doc/
for i in yodl.txt yodl.latex; do
  iconv -f ISO-8859-1 -t UTF8 $i -o $i-utf-8;
  mv -f $i-utf-8 $i;
done

# we'll %%doc these ones
rm -f %{buildroot}%{_docdir}/yodl-doc/{AUTHORS.txt,CHANGES,changelog}
%endif

%files
%doc AUTHORS.txt CHANGES changelog LICENSE README.3.00.0 README.txt
%{_bindir}/yodl
%{_bindir}/yodl2html
%{_bindir}/yodl2latex
%{_bindir}/yodl2man
%{_bindir}/yodl2txt
%{_bindir}/yodl2whatever
%{_bindir}/yodl2xml
%{_bindir}/yodlpost
%{_bindir}/yodlstriproff
%{_bindir}/yodlverbinsert
%{_mandir}/man1/yodl.1.*
%{_mandir}/man1/yodl2html.1.*
%{_mandir}/man1/yodl2latex.1.*
%{_mandir}/man1/yodl2man.1.*
%{_mandir}/man1/yodl2txt.1.*
%{_mandir}/man1/yodl2whatever.1.*
%{_mandir}/man1/yodl2xml.1.*
%{_mandir}/man1/yodlconverters.1.*
%{_mandir}/man1/yodlpost.1.*
%{_mandir}/man1/yodlstriproff.1.*
%{_mandir}/man1/yodlverbinsert.1.*
%{_mandir}/man7/yodlbuiltins.7.*
%{_mandir}/man7/yodlletter.7.*
%{_mandir}/man7/yodlmacros.7.*
%{_mandir}/man7/yodlmanpage.7.*
%{_datadir}/yodl/

%if %with_doc
%files doc
%{_docdir}/yodl-doc/
%endif


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 3.00.0-8.mga6
+ Revision: 936154
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.00.0-7.mga5
+ Revision: 751082
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.00.0-5.mga4
+ Revision: 546082
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 3.00.0-4.mga4
+ Revision: 502122
- BR texlive-texmf

* Mon Jan 14 2013 umeabot <umeabot> 3.00.0-3.mga3
+ Revision: 387579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.00.0-2.mga3
+ Revision: 310403
- update RPM group

* Mon Mar 07 2011 ahmad <ahmad> 3.00.0-1.mga1
+ Revision: 66070
- update to 3.00.0
- clean spec

* Sat Mar 05 2011 dmorgan <dmorgan> 1.31.18-17.mga1
+ Revision: 64937
- Do not build doc, need to be fixed for texlive

  + ennael <ennael>
    - imported package yodl


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.31.18-16mdv2011.0
+ Revision: 608252
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.31.18-15mdv2010.1
+ Revision: 524478
- rebuilt for 2010.1

  + Jérôme Brenier <incubusss@mandriva.org>
    - revert to r179435, new version doesn't build zsh guide
    - new version 2.15.1
    - doc subpackage added
    - numerous changes to adapt the specfile to this new version
      (new build process, new files, new buildrequires...)
    - license tag fixed

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.31.18-14mdv2008.1
+ Revision: 179435
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Mon Apr 30 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 1.31.18-13mdv2008.0
+ Revision: 19486
- rebuild
- Import yodl



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.31.18-12mdk
- Rebuild

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.31.18-11mdk
- Rebuild

* Tue May 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31.18-10mdk
- relink with new libintl

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.31.18-9mdk
- rebuild

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.31.18-8mdk
- Rebuild

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.31.18-7mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.31.18-6mdk
- Still make rpmlint happy: invalid-packager, zero-length files

* Sun Oct 14 2001 Stefan van der Eijk <stefan@eijk.nu> 1.31.18-5mdk
- BuildRequires: netpbm

* Thu Aug 16 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.31.18-4mdk
- Set datadir to %%{_datadir}/yodl
- Sanitize specfile (s/Copyright/License/)

* Wed Jun 27 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.31.18-3mdk
- Fix yodl2html for ia64  : missing includes

* Tue Apr 10 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.31.18-2mdk
- sanitized specfile (BuildRequires, files section, etc.)

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.31.18-1mdk
- 1.32.18.
- BM.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.31.17-4mdk
- Use makeinstall macros.

* Wed May 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.31.17-3mdk
- Clean up specs.

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31.17-2mdk
- fix group
